<template>
  <header class="NavBar">
    <Link :title="t('home.view')" class="NavBar__Brand" to="/">
      <Icon :icon="Icons.home" class="NavBar__BrandIcon" />
    </Link>

    <span class="NavBar__Current NavBar__Current--none">Time Manager</span>

    <div class="NavBar__Controls">
      <Button
        :icon="Icons.entry.start"
        :title="t('entry.new')"
        class="NavBar__NewEntry Button--outlined"
        @click="start"
      />
    </div>
  </header>
</template>

<script lang="ts">
import { Icons } from '@/Icons'
import { defineComponent } from 'vue'
import { Button, Icon, Link } from '@/components'
import { useTranslation } from '@/components/UseTranslation'
import { Entries } from '@/stores'

export default defineComponent({
  name: 'NavBar',
  components: { Icon, Link, Button },

  setup() {
    return {
      start: () => Entries.start(),
      Icons,
      ...useTranslation(),
    }
  },
})
</script>

<style lang="scss" scoped>
@use '../../style/variables' as v;

.NavBar {
  display: inline-flex;
  padding: v.$spacing;
  border-bottom: 2px solid var(--border-color);

  &__Brand {
    color: var(--text-color);

    &Icon {
      font-size: 1.5rem;
    }
  }

  &__SettingsLink {
    color: var(--text-color);
  }

  &__Current {
    display: inline-flex;
    flex: 1 1;
    align-items: center;
    justify-content: flex-start;
    padding: 0 v.$spacing;

    &Content {
      flex: 1 1;
    }

    &--none {
      font-style: italic;
      opacity: 80%;
    }
  }

  &__Controls {
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
</style>
